1. Saiylem

    Saiylem Member
    Newcomer

    Joined:
    Aug 18, 2011
    Messages:
    21
    Country:
    United States
    Got 'em. Thanks for the update.
    Do I need to use the RSV patch? If so, what keygen version?
     
  2. isoisoiso

    isoisoiso GBAtemp Regular
    Member

    Joined:
    Jun 16, 2018
    Messages:
    208
    Country:
    Spain
    Made a custom smash nsp with updates and dlc and people are reporting it doesn't work on anything but SX OS
    Why is this and is there any way to make it work on all cfws?
    Thanks
     
  3. JRoad

    OP JRoad Developer
    Developer

    Joined:
    May 18, 2018
    Messages:
    968
    Country:
    Spain
    If they work it shouldn't be affecting them. Specially if you didn't patch them while building.
    No, for that game yo don't need that. Just get the correct dlc since you're using the latest update.
    They can use dz-tinfoil to install them. They'll need to activate unsign code first probably or they can use rommenu the installer that is actually SX OS installer and ReiNX included for a while. It's just an issue with old tinfoil, though I believe some of the oldest versions worked with those multi-nsp.
    The dz-tinfoil i'm referring is https://github.com/digableinc/tinfoil
    They also need the4n patches correctly working, wich if they're using kosmos probably don't have working correctly.
    https://gbatemp.net/threads/i-heard-that-you-guys-need-some-sweet-patches-for-atmosphere.521164/
    They could just get the patches, get latest atmosphere fusee primary payload and add to the config:
    payload=bootloader/payloads/fusee-primary-0.8.2.bin and launch atmos\kosmos from that payload
     
    isoisoiso and thaikhoa like this.
  4. 18Phoenix

    18Phoenix GBAtemp Advanced Fan
    Member

    Joined:
    Nov 21, 2005
    Messages:
    723
    Country:
    Germany
    Thanks for the 0.78 update.
    I prefered _ instead of . the file-name but that's your new decision, just like the . in the txt-file-names ^^
     
  5. JRoad

    OP JRoad Developer
    Developer

    Joined:
    May 18, 2018
    Messages:
    968
    Country:
    Spain
    So one thing I realized in the latest days for icons not showing in SX OS loader\installer. They will if you lower keygeneration to 5, it seems the use embedded keys in the installer to read the icon, version,... but forgot to embed the new masterkey 4 and 5 wich is causing that issue.
    Lowering the keygeneration doesn't mean you can't run them in 6.2, of course it just means the system will use a lower masterkey to decrypt the games.


    Ah, sorry I forgot ;) Same with the files I've put a dot this time, normally I try to avoid them but sometimes I slip.
     
    18Phoenix likes this.
  6. 18Phoenix

    18Phoenix GBAtemp Advanced Fan
    Member

    Joined:
    Nov 21, 2005
    Messages:
    723
    Country:
    Germany
    Ah, good to know, that explains it. So it should be easy for them to fix it, but they didn't so far.
    Yeah, please call it NSC_Builder_v078.zip again ^^ (why *_nk ?)
     
    Last edited by 18Phoenix, Dec 15, 2018
  7. JRoad

    OP JRoad Developer
    Developer

    Joined:
    May 18, 2018
    Messages:
    968
    Country:
    Spain
    Yep, dunno why they didn't realize it, maybe it was a freelance job. Either way the SX Installer from the video will support those nsp fine, though I'd be better for them to add those keys so icons show in new xci files without modification.

    Added this as a note in the opening post.
     
    18Phoenix likes this.
  8. 18Phoenix

    18Phoenix GBAtemp Advanced Fan
    Member

    Joined:
    Nov 21, 2005
    Messages:
    723
    Country:
    Germany
    By the way: the SX-Installer v1.0 is out now
     
  9. markmcrobie

    markmcrobie GBAtemp Advanced Fan
    Member

    Joined:
    May 24, 2008
    Messages:
    623
    What's the small zip file left in the folder with the rebuilt xci file?
     
  10. Gh0sti

    Gh0sti iOS Guru
    Member

    Joined:
    Aug 19, 2009
    Messages:
    1,373
    Country:
    United States
  11. JRoad

    OP JRoad Developer
    Developer

    Joined:
    May 18, 2018
    Messages:
    968
    Country:
    Spain
    Dunno, probably since hashes between partitions are reduced or lack of update partition. Funny thing is they told me it they work with n1dus wich should be a direct port of zerotwoxci

    — Posts automatically merged - Please don't double post! —

    For the future restore mode wich will probably in next release, or at least next big release. Though i'll change the format to only store cnmt.nca, ticket and cert. I came with another way of doing it so I could even let you do the titlerights restoration with a titlerights-titlekey database if you have access to it.

    — Posts automatically merged - Please don't double post! —

    Yep it seems they redid nslaunchtitle in 6.0 and is not reengineered yet so that's why it can't launch xci beyond 5.X but if anyone downgrade to 5.1 they change keygeneration to 5 and make xci that work with it, unless they really have dependencies from 6.0 (Stardew valley update, Bendy update, conduct together...) Let's hope they re-engineered the launchtitle it would be a nice alternative to SX launcher ;)
     
  12. markmcrobie

    markmcrobie GBAtemp Advanced Fan
    Member

    Joined:
    May 24, 2008
    Messages:
    623
    Another question - I merged Mario Tennis XCI and it's NSP update, into a new XCI. When this new hybrid XCI is loaded into Switch Backup Manager or XCI Explorer, etc, it's recognised just fine as Mario Tennis Aces. It works perfectly when launched in SX OS on my Switch, and the game reports the correct latest version of 2.1.1, so the update being inserted into the XCI worked.

    I then did the same thing with NBA 2K19 XCI and NSP. This time, however, Switch Backup Manager won't recognise the resulting XCI, and XCI Explorer throws and error when trying to open it. Any ideas?

    UPDATE: Finished copying NBA 2K19 to my SD card - SX OS sees the XCI (but with no icon), and can load it ok (loads into Switch home menu WITH icon) but I get an error when I try to launch it

    UPDATE2: Actually just did an md5 check against the XCI file on my SD versus the one output by NSC Builder and there's a mismatch, so I'm copying it over again to try again.

    UPDATE3: Nope, still error on launch - error 2002-3005
     
    Last edited by markmcrobie, Dec 15, 2018
  13. JRoad

    OP JRoad Developer
    Developer

    Joined:
    May 18, 2018
    Messages:
    968
    Country:
    Spain
    NBA 2k19 goes above 32gb. There aren't 64gb cartridges in the market currently or flags in the SDK so it won't work. Not sure if the limitation is actually in Horizon current capabilities or in SX OS code. The error is kinda the same as before they released they 32gb cartridges patch.

    Added to important notes in first post.
     
    Last edited by JRoad, Dec 15, 2018
    markmcrobie likes this.
  14. markmcrobie

    markmcrobie GBAtemp Advanced Fan
    Member

    Joined:
    May 24, 2008
    Messages:
    623
    Thanks for that answer, explains it.

    Any idea why some games don't have an icon after building XCI?
     
  15. markmcrobie

    markmcrobie GBAtemp Advanced Fan
    Member

    Joined:
    May 24, 2008
    Messages:
    623
    From the hundred or so games I have, it seems to me NBA 2K19 is the only one that will go above 32GB when XCI and updates and DLC are combined. Anyone aware of any others?
     
  16. JRoad

    OP JRoad Developer
    Developer

    Joined:
    May 18, 2018
    Messages:
    968
    Country:
    Spain
    Yep already said so and added it to the notes is a SX launcher issue.
    — Posts automatically merged - Please don't double post! —

    Nope, LA Noire was the other one but added delta skippin because of it initially, wich was better since deltas are not needed inside xci files. The update had like 8gb of deltas.
     
  17. huma_dawii

    huma_dawii GBAtemp Psycho!
    Member

    Joined:
    Apr 3, 2014
    Messages:
    3,704
    Country:
    United States
    Smash and latest update not working, it did work with the old update tho.
     
  18. markmcrobie

    markmcrobie GBAtemp Advanced Fan
    Member

    Joined:
    May 24, 2008
    Messages:
    623
    Any chance of adding an option to not place the output file in a folder?

    — Posts automatically merged - Please don't double post! —

    Also auto-mode doesn't work if you drag/drop XCI files onto the .bat file. NSP files work fine this way, but for XCI you need to use manual mode
     
  19. JRoad

    OP JRoad Developer
    Developer

    Joined:
    May 18, 2018
    Messages:
    968
    Country:
    Spain
    They do as keygeneration 5, at least for me. I didn't try without changing the keygeneration actually. I can try.

    — Posts automatically merged - Please don't double post! —

    Works fine for me in auto, I just tested it. Did you change something in the config?
    About the option, yes I'm thinking about adding a folder for the zips and recover the inline option. I kinda want to work in the restoration mode first though.

    — Posts automatically merged - Please don't double post! —

    Thinking about it? Did you use the update mode to generate the new xci?

    I went and tested making one usig last release with my single xci + latest update and is working for me, I used keygeneration 5 and it even works using 5.X.
     
    Last edited by JRoad, Dec 16, 2018
  20. huma_dawii

    huma_dawii GBAtemp Psycho!
    Member

    Joined:
    Apr 3, 2014
    Messages:
    3,704
    Country:
    United States
    I don't even know what that keygeneration 5 is, where is that setting? I used work with multi pack option.
     
Draft saved Draft deleted
Loading...

Hide similar threads Similar threads with keywords - (Game+updates+dlc, NSC_Builder, Nintendo